package com.heyu.api.data.dao.user;
/**
* <p>
* 用户家庭表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.user.UserHomeEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface UserHomeDao extends BaseMapper<UserHomeEntity> {


	UserHomeEntity selectUserHomeById(@Param("id")Long id);


	Long insertUserHome(UserHomeEntity userHome);


	Long insertOrUpdateUserHome(UserHomeEntity userHome);


	int updateUserHomeById(UserHomeEntity userHome);


	int updateCoverUserHomeById(UserHomeEntity userHome);


	int deleteUserHomeById(@Param("id")Long id);


}